Skip to main content
GET /v1/deployments/{id}/runs Retrieves all execution runs for a specific deployment with cursor pagination. Results are sorted by triggered time in descending order (newest first).

Path parameters

ParameterTypeDescription
idstringDeployment ID with the dep_ prefix

Headers

HeaderRequiredDescription
AuthorizationYesBearer $QODER_PAT

Query parameters

ParameterTypeRequiredDescription
limitintegerNoMaximum number of records to return. Default 20, max 1000.
after_idstringNoCursor pagination: return records after this ID
before_idstringNoCursor pagination: return records before this ID
statusstringNoFilter by run status: pending, running, completed, failed, skipped
triggered_afterstringNoFilter runs triggered after this timestamp (ISO 8601)
triggered_beforestringNoFilter runs triggered before this timestamp (ISO 8601)

Example request

curl -X GET "https://api.qoder.com/api/v1/cloud/deployments/dep_019ec55a2b687b3f94eee77dd77e4b2a/runs?limit=5" \
  -H "Authorization: Bearer $QODER_PAT"

Example response

HTTP 200 OK
{
  "data": [
    {
      "agent": {
        "id": "agent_019ebb21ef8e7df6a559052c94875160",
        "type": "agent",
        "version": 1
      },
      "cas_run_extras": {
        "attempt": 1,
        "started_at": "2026-06-14T08:58:17.165588Z",
        "turn_id": "turn_019ec55a68b87a9dafad75c1554d1102"
      },
      "completed_at": "2026-06-14T08:58:34.433744Z",
      "created_at": "2026-06-14T08:58:17.13334Z",
      "deployment_id": "dep_019ec55a2b687b3f94eee77dd77e4b2a",
      "duration_ms": 17268,
      "error": null,
      "id": "drun_019ec55a68af73028afa5b87931cb2f3",
      "session_id": "sess_019ec55a68b37e1e8d660691af161ab4",
      "status": "completed",
      "trigger_context": {
        "type": "manual"
      },
      "triggered_at": "2026-06-14T08:58:17.13334Z",
      "type": "deployment_run"
    }
  ],
  "first_id": "drun_019ec55a68af73028afa5b87931cb2f3",
  "has_more": false,
  "last_id": "drun_019ec55a68af73028afa5b87931cb2f3",
  "next_page": null
}

Response fields

FieldTypeDescription
dataarrayList of Deployment Run objects
first_idstringID of the first record on the current page
last_idstringID of the last record on the current page
has_morebooleanWhether more records are available
next_pagestring or nullCursor value for the next page (null when no more)
See Run a deployment for Deployment Run field descriptions.

Errors

HTTPTypeTrigger
401authentication_errorPAT invalid or expired
404not_found_errorDeployment does not exist
See Errors for the full error envelope.

Get a deployment run

Inspect details of a single run.

Manually trigger a deployment

Kick off a deployment run immediately.

List all runs

Query run history across all deployments.

Get a deployment

Inspect deployment configuration and status.